Skip to main content
POST
/
1
/
query_results
/
{datasetSlug}
Create a Query Result
curl --request POST \
  --url https://api.honeycomb.io/1/query_results/{datasetSlug} \
  --header 'Content-Type: application/json' \
  --header 'X-Honeycomb-Team: <api-key>' \
  --data '
{
  "query_id": "mabAMpSPDjH",
  "disable_series": false,
  "disable_total_by_aggregate": true,
  "disable_other_by_aggregate": true,
  "limit": 123
}
'
{ "query": { "calculations": [ { "op": "COUNT" } ], "orders": [ { "op": "COUNT", "order": "descending" } ], "limit": 10000, "time_range": 7200 }, "complete": false, "id": "dfg456", "links": { "query_url": "https://ui.honeycomb.io/myteam/datasets/test-via-curl/result/dfg456", "graph_image_url": "https://ui.honeycomb.io/myteam/datasets/test-via-curl/result/dfg456/snapshot" } }

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Body

application/json

A Query Result is created with the Query ID.

query_id
string
required

The ID of a query returned from the Queries endpoint.

Example:

"mabAMpSPDjH"

disable_series
boolean
default:false

If true, timeseries data will not be returned in the series response field, and only summarized data will be returned in the results response field.

disable_total_by_aggregate
boolean
default:true

If true, data representing each aggregate in the query's total value will not be returned. Ensure disable_series is false to return the timeseries data.

disable_other_by_aggregate
boolean
default:true

If true, the "other_by_aggregate" data is excluded from the query result.

limit
integer

If disable_series is true, a limit may be optionally given. The limit will override the default limit of 1_000 results with a maximum available limit of 10_000. If disable_series is false, this field will be ignored.

Required range: x <= 10000

Response

Created

A Query Result is created with the Query ID.

query
object
id
string

The unique identifier (ID) of a Query Result.

Example:

"sGUnkBHgRFN"

complete
boolean

Indicates if the query results are available yet or not. For example, is the query still being processed or complete?

Example:

false

An object containing UI links to the query result and query result graph